Name:           mimelib
Version:        1.1.4
Release:        1%{?dist}
Summary:        A library for creating, parsing, and modifying MIME messages

License:        GPLv2+
URL:            http://packages.debian.org/sid/libmimelib1c2a
Source0:        http://ftp.de.debian.org/debian/pool/main/m/mimelib1/mimelib1_%{version}.orig.tar.gz
# taken from http://lists.kde.org/?l=kde-licensing&m=96827043414940&q=raw
Source1:        LICENSE

BuildRequires:  autoconf
BuildRequires:  libtool

%description
The mimelib library is a C++ class library for creating, parsing, and modifying
messages in MIME format. This version of the library is a slightly patched
version from kdepim3. This is the runtime package for programs that use the
mimelib library.

%package devel
Summary:        Development files for mimelib
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release} 

%description devel
This package contains files to develop applications using mimelib's libraries.


%prep
%setup -q -n mimelib1-%{version}
cp %{SOURCE1} .


%build
autoreconf -i
%configure --enable-static=no
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

# Remove static libraries (.a files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.a' -exec rm -v '{}' \;


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%doc LICENSE
%{_includedir}/%{name}
%{_libdir}/*.so


%changelog
* Sun Jul 31 2011 Sebastian Dziallas <sebastian@when.com> - 1.1.4-1
- initial packaging
